// $Id: CaptureHistory.java,v 1.1 2001/05/25 14:02:05 pcharles Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.client;

import java.util.Iterator;
import java.util.Collection;
import java.util.ArrayList;
import net.sourceforge.jpcap.net.Packet;


/**
 * Captured packet history.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.1 $
 * @lastModifiedBy $Author: pcharles $
 * @lastModifiedAt $Date: 2001/05/25 14:02:05 $
 */
public class CaptureHistory
{
  /**
   * Add the most recent packet to the history collection.
   */
  public boolean add(Packet packet) {
    return packets.add(packet);
  }

  /**
   * Add a collection of packets to the end of the packet history.
   */
  public boolean addAll(Collection collection) {
    return packets.addAll(collection);
  }

  /**
   * Fetch a packet from a specific location in the history.
   */
  public Packet get(int index) {
    return (Packet)packets.get(index);
  }

  /**
   * Fetch the full history as a packet collection.
   */
  public Collection getCollection() {
    return packets;
  }

  /**
   * Clear all the packets in the history collection.
   */
  public void clear() {
    packets.clear();
  }

  /**
   * Fetch the number of packets in the history collection.
   */
  public int size() {
    return packets.size();
  }

  /**
   * Dump the history buffer contents to stdout.
   */
  public int dump() {
    Iterator i = packets.iterator();
    int count = 0;
    while(i.hasNext())
      System.err.println((count ++) + " - " + i.next());

    return count;
  }


  ArrayList packets = new ArrayList();

  private String _rcsid = 
    "$Id: CaptureHistory.java,v 1.1 2001/05/25 14:02:05 pcharles Exp $";
}
