// $Id: LinkLayer.java,v 1.2 2001/05/24 03:44:31 pcharles Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.net;


/**
 * Information about network link layers.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: pcharles $
 * @lastModifiedAt $Date: 2001/05/24 03:44:31 $
 */
public class LinkLayer implements LinkLayers
{
  /**
   * Fetch the header length associated with various link-layer types.
   * @param layerType the link-layer code
   * @return the length of the header for the specified link-layer
   */
  public static int getLinkLayerLength(int layerType) {
    switch(layerType) {
    case DLT_EN10MB: 
      return 14;
    case DLT_FDDI: 
      return 21;
    case DLT_NULL: 
    default:
      return 0;
    }
  }


  private String _rcsid = 
    "$Id: LinkLayer.java,v 1.2 2001/05/24 03:44:31 pcharles Exp $";
}
