// $Id: RawPacket.java,v 1.1 2001/05/23 02:45:03 pcharles Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.net;

import net.ultrametrics.util.ByteArray;


/**
 * A captured packet containing raw data.
 * <p>
 * Encapsulation for data captured on a network device by PacketCapture's
 * raw capture interface.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.1 $
 * @lastModifiedBy $Author: pcharles $
 * @lastModifiedAt $Date: 2001/05/23 02:45:03 $
 */
public class RawPacket
{
  /**
   * Create a new packet.
   */
  public RawPacket(int length, int caplen, int seconds, int useconds, 
                   byte [] bytes) {
    this.length = length;
    this.caplen = caplen;
    this.seconds = seconds;
    this.useconds = useconds;
    this.bytes = bytes;
  }


  private void setLength(int length) {
    this.length = length;
  }

  public int getLength() {
    return length;
  }

  /**
   * Convert this packet to a readable string.
   */
  public String toString() {
    StringBuffer buffer = new StringBuffer();
    buffer.append("[RawPacket: ");
    buffer.append("l = " + caplen + " of " + length + ", ");
    buffer.append("t = " + seconds + "." + useconds + "s, ");
    buffer.append("d = ");
    buffer.append(ByteArray.toString(bytes));
    buffer.append(']');

    return buffer.toString();
  }


  private int length;
  private int caplen;
  private int seconds;
  private int useconds;
  private byte [] bytes;

  private String _rcsid = 
    "$Id: RawPacket.java,v 1.1 2001/05/23 02:45:03 pcharles Exp $";
}
